import React from 'react'
import { Icon } from '@pubsweet/ui'
import styled from 'styled-components'
import { th } from '@pubsweet/ui-toolkit'

const AdminDashboard = ({ history, theme }) => (
  <Root>
    <Title>Admin Dashboard</Title>
    <CardContainer>
      <Card>
        <Icon primary size={6}>
          edit
        </Icon>
        <span>Journal configuration</span>
      </Card>
      <Card data-test="card-users" onClick={() => history.push('/admin/users')}>
        <Icon primary size={6}>
          users
        </Icon>
        <span>Users</span>
      </Card>
      <Card>
        <Icon primary size={6}>
          settings
        </Icon>
        <span>Roles</span>
      </Card>
    </CardContainer>
  </Root>
)

export default AdminDashboard

// #region Styled components
const Root = styled.div`
  display: flex;
  flex-direction: column;
  padding: 0 12px;
`

const Title = styled.span`
  color: ${th('colorPrimary')};
  font-family: ${th('fontInterface')};
  font-size: ${th('fontSizeHeading5')};
  font-weight: bold;
  text-align: left;
`

const CardContainer = styled.div`
  display: flex;
  flex-wrap: wrap;
  margin-top: 24px;
`

const Card = styled.div`
  align-items: center;
  border: ${th('borderDefault')};
  background-color: ${th('backgroundColorReverse')};
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 160px;
  margin: 0 25px 25px 0;
  width: 210px;

  &:hover {
    background-color: ${th('backgroundColor')};
  }

  > span {
    color: ${th('colorPrimary')};
    font-family: ${th('fontInterface')};
    font-size: 18px;
    margin-top: 10px;
    text-align: center;
  }
`
// #endregion
