import React, { Fragment } from 'react'
import { compose, withProps } from 'recompose'

import { DashboardItems, DashboardFilters } from './'

const Dashboard = ({
  deleteProject,
  dashboardItems,
  getFilterOptions,
  changeFilterValue,
  getDefaultFilterValue,
}) => (
  <Fragment>
    <DashboardFilters
      changeFilterValue={changeFilterValue}
      getDefaultFilterValue={getDefaultFilterValue}
      getFilterOptions={getFilterOptions}
    />
    <DashboardItems deleteProject={deleteProject} list={dashboardItems} />
  </Fragment>
)

export default compose(
  withProps(({ dashboard, filterItems }) => ({
    dashboardItems: filterItems(dashboard.all),
  })),
)(Dashboard)
